Jump to content
JasperReports Library 7.0 is now available ×
  • This documentation is an older version of JasperReports Server Community Edition Release Notes. View the latest documentation.
    Introduction
    Database Changes
    Upgrade from 6.x to 6.4.2
    Upgrade from Older Versions
    Important Upgrade Information

    Introduction

    You can upgrade directly to 6.4.2 if your instance is one of the following:

    Version 4

    4.0

    4.1

    4.2.x

    4.5.x

    4.7.x

    Version 5

    5.0

    5.1

    5.2

    5.5

    5.6.x

    Version 6

    6.0.x

    6.1.x

    6.2.x

    6.3.x

    6.4.0

    To upgrade, start with the WAR File Distribution ZIP: TIB_js-jrs_cp_6.4.2_bin.zip

    Downloaded it from the Jaspersoft community site (http://community.jaspersoft.com).

    The recommended upgrade procedures are fully described in the JasperReports Server Upgrade Guide.

    note-icon-ns.png.afc7fe78287d3e1d7f8d8f33296b2871.png

    If you are upgrading from certain versions of JasperReports Server, such as 4.5 or earlier, 5.6, 6.0.1, 6.1, or 6.2.0, the upgrade involves substantial changes that may require you to plan and prepare beforehand. See the JasperReports Server Upgrade Guide for advice regarding these important considerations. Also, see Important Upgrade Information.

    Database Changes

    Between certain versions of the server, we have changed the repository database in order to add new functionality:

    There are jasperserver repository database changes between 6.0.x and 6.1.x as well as between 6.1.x and 6.2.0.
    There are no database changes between 6.2.0 and 6.2.1.
    There are database changes between 6.2.x and 6.3.0.
    There are database changes between 6.3.x and 6.4.0.
    There are no database changes between 6.4.0 and 6.4.2.

    Upgrade from 6.x to 6.4.2

    The recommended procedure for upgrading from 6.x is described in the JasperReports Server Upgrade Guide. Run this procedure from the command line. In summary:

    1. Copy the properties file:

    cd <unpacked-dir>/buildomatic

    cp sample_conf/<dbType>_master.properties default_master.properties

    2. Using a text editor, edit default_master.properties to add your application server and database server properties.
    3. Run the install .sh or .bat file:

    ./js-upgrade-samedb-ce.sh

    Upgrade from Older Versions

    This upgrade procedure lets you upgrade from any of the JasperReports Server versions listed in this section's introduction (versions 4.x through 6.3.x).

    The recommended procedure is described in the JasperReports Server Upgrade Guide. This procedure is run from the command line. In summary:

    1. Export your existing JasperReports Server repository data, either using the buildomatic/js-export.sh/bat command (for example, ./js-export-ce.sh --everything --output-zip my-export.zip), or by exporting directly from the web UI).
    2. Change directories to the buildomatic directory (for example, cd <unpacked-dir>/buildomatic).
    3. Copy the master properties file (for example, cp sample_conf/<dbType>_master.properties default_master.properties).
    4. Edit the default_master.properties file to add your application server and database properties (for example, ./js-upgrade-newdb-ce.sh <path>/my-export.zip, or /.js-upgrade-newdb-ce.bat <path>/my-export.zip).

    Important Upgrade Information

    This section describes special upgrade requirements for certain versions of the server:

    Changes in the 6.1.0 Release
    Changes in the 6.0.x Releases
    Changes in the 5.6.0 Release

    For additional information on planning for your upgrade, see Planning Your Upgrade in the JasperReports Server Upgrade Guide.

    Changes in the 6.1.0 Release

    The new look-and-feel of JasperReports Server introduced in the 6.1.0 release required several changes to the structure of themes. If you have customized your theme, you must apply those customizations to a new theme.

    For more information, see the JasperReports Server Upgrade Guide.

    Changes in the 6.0.x Releases

    Starting in the 6.0.x releases, the server now incorporates a more recent version of the underlying Spring Security framework. We now use Spring Security 3. If you are upgrading from a previous version of JasperReports Server, you may need to take additional steps to accommodate the file structure of the new version of Spring. This is particularly the case if you have custom LDAP or SSO configured for the server. For more information, see the JasperReports Server External Authentication Cookbook.

    Changes in the 5.6.0 Release

    The 5.6.0 version included changes to OLAP engine that may require you to take additional steps during upgrade. Due to a change between versions of the OLAP engine, if you use Jaspersoft OLAP's XML/A functionality to connect to a remote JasperReports Server's XML/A sources in versions previous to 5.6.x, you must take additional steps to complete your upgrade to 5.6.x and later versions. For information, see JA-926 in Current Known Issues.


    User Feedback

    Recommended Comments

    There are no comments to display.



    Guest
    This is now closed for further comments

×
×
  • Create New...